Package org.apache.calcite.avatica.util

# Enum Quoting

java.lang.Object
java.lang.Enum<Quoting>
org.apache.calcite.avatica.util.Quoting

All Implemented Interfaces:
  `Serializable`, `Comparable<Quoting>`, `java.lang.constant.Constable`

public enum Quoting extends Enum<Quoting>
Syntax for quoting identifiers in SQL statements.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BACK_TICK`
Quote identifiers in back-quotes, and use back-quotes to escape back-quotes.
`BACK_TICK_BACKSLASH`
Quote identifiers in back-quotes, and use backslash to escape back-quotes.
`BRACKET`
Quote identifiers in brackets.
`DOUBLE_QUOTE`
Quote identifiers in double-quotes, and use double-quote to escape double-quotes.
`DOUBLE_QUOTE_BACKSLASH`
Quote identifiers in double-quotes, and use backslash to escape double-quotes.
`SINGLE_QUOTE`
Quote identifiers in single-quotes, and use single-quotes to escape single-quotes.
`SINGLE_QUOTE_BACKSLASH`
Quote identifiers in single-quotes, and use backslash to escape single-quotes.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`string`

## Method Summary

Modifier and Type
Method
Description
`static Quoting`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Quoting[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOUBLE_QUOTE

public static final Quoting DOUBLE_QUOTE
Quote identifiers in double-quotes, and use double-quote to escape double-quotes. For example, `"my ""id"""`.

### DOUBLE_QUOTE_BACKSLASH

public static final Quoting DOUBLE_QUOTE_BACKSLASH
Quote identifiers in double-quotes, and use backslash to escape double-quotes. For example, `"my \"id\""`.

### SINGLE_QUOTE

public static final Quoting SINGLE_QUOTE
Quote identifiers in single-quotes, and use single-quotes to escape single-quotes. For example, `'my ''id'''`.

### SINGLE_QUOTE_BACKSLASH

public static final Quoting SINGLE_QUOTE_BACKSLASH
Quote identifiers in single-quotes, and use backslash to escape single-quotes. For example, `'my \'id\''`.

### BACK_TICK

public static final Quoting BACK_TICK
Quote identifiers in back-quotes, and use back-quotes to escape back-quotes. For example, ``my ``id````.

### BACK_TICK_BACKSLASH

public static final Quoting BACK_TICK_BACKSLASH
Quote identifiers in back-quotes, and use backslash to escape back-quotes. For example, ``my \`id\```.

### BRACKET

public static final Quoting BRACKET
Quote identifiers in brackets. For example, `[my id]`.

## Field Details

### string

public String string

## Method Details

### values

public static Quoting[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Quoting valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null